/**
 * RainLoop App
 * There are different ways implementing an App
 */
var rainloopApp = rainloopApp || {};  //Define App namespace, if you want.
/**
 * Constructor UNAS App
 */
rainloopApp.App = function () {
    this.id = 'RainLoop';
    this.name = 'RainLoop';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/rainloop/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/rainloop/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/rainloop/index.html?v=6.0.4&';
    var self = this;
    this.rainloopAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('RainLoop')){
            return false;
    	}
        self.window=new MUI.Window({
            id: 'rainloopAppWindow',
            title: UNAS._('RainLoop'),
            icon: '/apps/rainloop/images/logo_small.png?v=6.0.4&',
            width: 820,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [720, 2000], 'y': [450, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/rainloop/index.html?v=6.0.4&',
            require: {  css: ['/apps/rainloop/css/rainloop.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("RainLoop",'rainloopAppWindow')}
        });
    };
    this.rainloopAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('RainLoop');
        UNAS.RemoveMenu('RainLoop');
        UNAS.RemoveAppFromGroups('RainLoop', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('RainLoop', 'Help');
        UNAS.RemoveAppFromApps('RainLoop');
    }
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'RainLoop', '', this.rainloopAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'RainLoop', this.rainloopAppWindow);
    // new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 14, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('RainLoop', UNAS._('RainLoop')); //translate menu
        UNAS.SetShortcutTitle('RainLoop', UNAS._('RainLoop')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('rainloopAppWindow', UNAS._('RainLoop'));
        }
    }
    UNAS.LoadTranslation('/apps/rainloop/languages/Translation?v='+this.version,  OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.rainloopAppWindow,this.rainloopAppUninstall);
};

new rainloopApp.App(); //Create app
